import 'package:flutter_firebase_basic_tools/logic/custom_colors.dart';
import 'package:auto_size_text/auto_size_text.dart';
import 'package:flutter/material.dart';

class MadeByContainer extends StatelessWidget {
  MadeByContainer({
    @required this.text,
    @required this.textColor,
    @required this.backgroundColor,
  });

  final String text;
  final Color textColor;
  final Color backgroundColor;

  @override
  Widget build(BuildContext context) {
    bool isPortrait =
        MediaQuery.of(context).orientation == Orientation.portrait;
    return Container(
      height: isPortrait
          ? (MediaQuery.of(context).size.height / 18)
          : (MediaQuery.of(context).size.height / 28),
      width: MediaQuery.of(context).size.width,
      color: backgroundColor,
      child: Center(
        child: AutoSizeText(
          text,
          textAlign: TextAlign.center,
          style: TextStyle(
            color: textColor,
            fontWeight: FontWeight.bold,
          ),
          minFontSize: 10,
          maxFontSize: 13,
          maxLines: 1,
          overflow: TextOverflow.visible,
        ),
      ),
    );
  }
}
